aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xm/runmath.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/m/runmath.sh b/m/runmath.sh
index 18196d1..6943950 100755
--- a/m/runmath.sh
+++ b/m/runmath.sh
@@ -11,13 +11,18 @@ if test -z "$script"; then
exit 2
fi
+if [ -z "${KRANC_PATH}" ]; then
+ echo "Path to Kranc not set. Set the KRANC_PATH env var."
+ exit 3
+fi
+
error=$(basename $script .m).err
output=$(basename $script .m).out
rm -f $output
# Run Kranc to regenerate the code
-../../../repos/Kranc/Bin/kranc $script | tee $error
+${KRANC_PATH} $script | tee $error
[ $PIPESTATUS -eq 0 ] || exit $PIPESTATUS
mv $error $output